Subject: Re: [Sipping] New Tones draft (was: "who plays the tone" or something like th...

From: [email-masked]
Date: Mon, 14 Jul 2003 14:04:44 EDT

In a message dated 7/14/2003 11:11:46 AM Eastern Daylight Time, 
[email-masked] writes:

>  think direction 1 (user agent to user) is the only sensible thing for this 
> draft.  I guess that presupposes the whole idea is sensible in the first 
> place Z-)
> 

I believe that being able to tell the UA to send the tone in either direction 
or both is a basic requirement. If not included now, we'll be sorry later. I 
believe it is easy to find cases for the use of each.

Mike Pierce

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 16 Jul 2003 20:11:30 -0400

I find the notion that an application can instruct a user to send 
media to its peer in a call - frightening. It can be the source of 
some potentially bad attacks where a not-so-nice application has you 
sending media to your friends that you otherwise would not want to 
send. Its particularly worrisome if you go beyond just a "tones" 
markup and consider something much richer like VoiceXML.

-Jonathan R.

[email-masked] wrote:

>> think direction 1 (user agent to user) is the only sensible thing for 
>> this draft.  I guess that presupposes the whole idea is sensible in 
>> the first place Z-)
> 
> 
> 
> 
> I believe that being able to tell the UA to send the tone in either 
> direction or both is a basic requirement. If not included now, we'll be 
> sorry later. I believe it is easy to find cases for the use of each.
> 
> Mike Pierce

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP